//==================================================================
//
//	File name	:	message.js
//
//	Summary		:	Jaswin messages
//
//	Ceated		:	2018/11/15
//	Written by	:	Yuji Iihara
//	Copyright	:	Softinc.
//
//==================================================================

(function (jaswin) {
	// Error messages
	jaswin.ALERT_ALLOCATE = "This control is not allocated yet.[{1}]";
	jaswin.ALERT_CANNOT_IF_MULTIPART = "Cannot call this method if multipart/form-data.[{1}]";
	jaswin.ALERT_CONTROL_ADD = "Cannot add control before allocated.[{1}]";
	jaswin.ALERT_DUPLICATION_ID = "Same ID is already registered.[{1}]";
	jaswin.ALERT_INCLUDE = "Include {1}";
	jaswin.ALERT_MUST_UNIT = "Unit must be set on detail.[{1}]";
	jaswin.ALERT_NO_FILE = "No file is selected.[{1}]";
	jaswin.ALERT_NUMBER_DATA = "The number of data is not suitable.[{1}]";
	jaswin.ALERT_NUMBER_LABEL = "The number of labels is not suitable.[{1}]";
	jaswin.ALERT_NUMBER_OVERFLOW = "The number of overflows is not suitable.[{1}]";
	jaswin.ALERT_NUMBER_STYLE = "The number of styles is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ALIGN = "The type of text align is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ANCHOR_X = "Horizontal anchor is not suitable.";
	jaswin.ALERT_TYPE_ANCHOR_Y = "Vertical anchor is not suitable.";
	jaswin.ALERT_TYPE_BACKGROUND = "The type of background color is not suitable.[{1}]";
	jaswin.ALERT_TYPE_BIND_GAUGE = "The type of bind pointer to gauge or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_BOLD = "The type of bold font or not is not suitable.";
	jaswin.ALERT_TYPE_BORDERCOLOR = "The type of border color is not suitable.[{1}]";
	jaswin.ALERT_TYPE_BOTTOM = "The type of bottom position is not suitable.";
	jaswin.ALERT_TYPE_CALLBACK = "The type of call back function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_CHECKBOX = "The type of checkbox is not suitable.[{1}]";
	jaswin.ALERT_TYPE_CHECKED = "The type of checked or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_COL_LAYOUT = "The type of column layout is not suitable.";
	jaswin.ALERT_TYPE_COL_NUMBER = "The type of column number is not suitable.";
	jaswin.ALERT_TYPE_COLUMNS = "The type of columns is not suitable.[{1}]";
	jaswin.ALERT_TYPE_CONTAINER = "The type of container or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_CONTENTS = "The type of contents is not suitable.[{1}]";
	jaswin.ALERT_TYPE_CONTENT_TYPE = "The type of content type header is not suitable.[{1}]";
	jaswin.ALERT_TYPE_CONTROL = "The type of control is not suitable.";
	jaswin.ALERT_TYPE_DATA = "The type of data is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DATE = "The type of date is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DATABIND = "The type of databind is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DEFAULT = "The type of default value is not suitable.";
	jaswin.ALERT_TYPE_DELIMITER = "The type of delimiter position is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DIGIT = "The type of digit is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DOC_TEXT = "The type of document text is not suitable.";
	jaswin.ALERT_TYPE_DRAGGABLE = "The type of draggable or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DROPPABLE = "The type of droppable or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_DROP_TYPE = "The type of drop type is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ENABLED = "The type of enabled or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ENCODE = "The type of encode is not suitable.[{1}]";
	jaswin.ALERT_TYPE_EXEC_FUNC = "The type of execute event function or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_FILE_NAME = "The type of file name is not suitable.[{1}]";
	jaswin.ALERT_TYPE_FOCUS = "The type of focus or not is not suitable.";
	jaswin.ALERT_TYPE_FORMAT = "The type of format is not suitable.[{1}]";
	jaswin.ALERT_TYPE_FONT_COLOR = "The type of font color is not suitable.";
	jaswin.ALERT_TYPE_FONT_FAMILY = "The type of font family is not suitable.[{1}]";
	jaswin.ALERT_TYPE_FONT_SIZE = "The type of font size is not suitable.[{1}]";
	jaswin.ALERT_TYPE_FUNCTION = "The type of function is not suitable.";
	jaswin.ALERT_TYPE_GAUGE = "The type of gauge is not suitable.";
	jaswin.ALERT_TYPE_GROUP = "The type of group is not suitable.[{1}]";
	jaswin.ALERT_TYPE_HIDE_ON_CREATE = "The type of hide or not on create is not suitable.[{1}]";
	jaswin.ALERT_TYPE_HEIGHT = "The type of height is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ICON_URL = "The type of icon URL is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ID = "The type of id is not suitable.";
	jaswin.ALERT_TYPE_IMAGE_SOURCE = "The type of image source URL is not suitable.[{1}]";
	jaswin.ALERT_TYPE_IME_MODE = "The type of IME mode is not suitable.[{1}]";
	jaswin.ALERT_TYPE_INDEX = "The type of index is not suitable.[{1}]";
	jaswin.ALERT_TYPE_INPUT = "The type of input class is not suitable.";
	jaswin.ALERT_TYPE_ITEM_TYPE = "The type of item type is not suitable.";
	jaswin.ALERT_TYPE_KEY = "The type of key is not suitable.[{1}]";
	jaswin.ALERT_TYPE_LABEL = "The type of label is not suitable.[{1}]";
	jaswin.ALERT_TYPE_LEFT = "The type of left position is not suitable.";
	jaswin.ALERT_TYPE_LISTBOX = "The type of list box is not suitable.[{1}]";
	jaswin.ALERT_TYPE_LONG_GAUGE = "The type of long gauge unit is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MAX_DROP = "The type of number of drop down items is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MAX_LENGTH = "The type of max length is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MAX_POINT = "The type of maximum point is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MAX_POSITION = "The type of maximum position is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MENU = "The type of menu is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MENU_HEADER = "The type of menu header is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MENU_ITEM = "The type of menu item is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MENU_HEADER_ITEM = "The type of menu header item is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MESSAGE = "The type of message is not suitable.[{1}]";
	jaswin.ALERT_TYPE_METHOD = "The type of method is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MIME_TYPE = "The type of MIME type is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MIN_HEIGHT = "The type of minimum height is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MIN_POINT = "The type of minimum point is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MIN_POSITION = "The type of minimum position is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MIN_WIDTH = "The type of minimum width is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MONTH = "The type of month is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MULTI_LINE = "The type of multi lines or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_MULTIPLE = "The type of multiple is not suitable.[{1}]";
	jaswin.ALERT_TYPE_NAME = "The type of name is not suitable.";
	jaswin.ALERT_TYPE_NEW_WINDOW = "The type of new window or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_NODE = "The type of node is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_ABORT = "The type of on abort function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_BLUR = "The type of on blur function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_CHANGE = "The type of on change function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_CLICK = "The type of on click function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_CONTEXTMENU = "The type of on right click function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_DBLCLICK = "The type of on double click function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_DRAGSTART = "The type of on drag start function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_DROP = "The type of on dropped function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_FOCUS = "The type of on focus function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_HIGHLIGHT = "The type of on highlight function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_KEYDOWN = "The type of on keydown function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_INPUT = "The type of on input function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_LOAD = "The type of on load function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_NG = "The type of on NG function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_OK = "The type of on OK function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_PROGRESS = "The type of on progress function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_RESIZE = "The type of on resize function is not suitable.[{1}]"
	jaswin.ALERT_TYPE_ON_SORT = "The type of on sort function is not suitable.";
	jaswin.ALERT_TYPE_ON_TIMEOUT = "The type of on timeout function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ON_UPLOAD_PROGRESS = "The type of on upload progress function is not suitable.[{1}]";
	jaswin.ALERT_TYPE_OVERFLOW = "The type of overflow is not suitable.[{1}]";
	jaswin.ALERT_TYPE_PARAM = "The type of parameter name is not suitable.[{1}]";
	jaswin.ALERT_TYPE_PARENT = "The type of parent object is not suitable.[{1}]";
	jaswin.ALERT_TYPE_PARENT_ELEMENT = "The type of parent element is not suitable.[{1}]";
	jaswin.ALERT_TYPE_POINT = "The type of point is not suitable.";
	jaswin.ALERT_TYPE_POPUP = "The type of pop up or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_POSITION = "The type of position is not suitable.";
	jaswin.ALERT_TYPE_READONLY = "The type of read only or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_RECT = "The type of rect is not suitable.[{1}]";
	jaswin.ALERT_TYPE_RESIZABLE = "The type of resizable is not suitable.[{1}]";
	jaswin.ALERT_TYPE_RIGHT = "The type of right position is not suitable.";
	jaswin.ALERT_TYPE_ROW_HEIGHT = "The type of row height is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ROW_TAG = "The type of row tag name is not suitable.[{1}]";
	jaswin.ALERT_TYPE_ROWS_NAME = "The type of rows array name is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SEARCH_WORD = "The type of search word is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SELECTED = "The type of selected or not is not suitable.";
	jaswin.ALERT_TYPE_SHORTCUT = "The type of shortcut is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SHORT_GAUGE = "The type of short gauge unit is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SHOW_GAUGE = "The type of show gauge or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SHOW_HEADER = "The type of show header or not is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SORT_BY = "The type of sort target is not suitable.";
	jaswin.ALERT_TYPE_SORT_TYPE = "The type of sort type is not suitable.";
	jaswin.ALERT_TYPE_SOURCE = "The type of source text is not suitable.";
	jaswin.ALERT_TYPE_SPLIT = "The type of split type is not suitable.[{1}]";
	jaswin.ALERT_TYPE_START_POINT = "The type of start point is not suitable.[{1}]";
	jaswin.ALERT_TYPE_STATUS = "The type of status is not suitable.[{1}]";
	jaswin.ALERT_TYPE_STYLE = "The type of style is not suitable.[{1}]";
	jaswin.ALERT_TYPE_SUBHEAD = "The type of subhead is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TABINDEX = "The type of tab index is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TAB_SIZE = "The type of tab size is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TEXTBOX = "The type of text box is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TIMEOUT = "The type of timeout is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TITLE = "The type of title is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TOOLBAR = "The type of tool bar is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TOOLTIP = "The type of tool tip is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TOP = "The type of top position is not suitable.";
	jaswin.ALERT_TYPE_TOTAL = "The type of total value is not suitable.[{1}]";
	jaswin.ALERT_TYPE_TREEVIEW = "The type of treeview is not suitable.";
	jaswin.ALERT_TYPE_TYPE = "The type is not suitable.[{1}]";
	jaswin.ALERT_TYPE_UNIT = "The type of unit is not suitable.[{1}]";
	jaswin.ALERT_TYPE_UNUSABLE_CHARACTERS = "The type of unusable characters is not suitable.[{1}]";
	jaswin.ALERT_TYPE_URL = "The type of URL is not suitable.[{1}]";
	jaswin.ALERT_TYPE_VALUE = "The type of value is not suitable.[{1}]";
	jaswin.ALERT_TYPE_WINDOW = "The type of window is not suitable.[{1}]";
	jaswin.ALERT_TYPE_WIDTH = "The type of width is not suitable.[{1}]";
	jaswin.ALERT_TYPE_X = "The type of horizontal position is not suitable.[{1}]";
	jaswin.ALERT_TYPE_Y = "The type of vertical position is not suitable.[{1}]";
	jaswin.ALERT_TYPE_YEAR = "The type of year is not suitable.[{1}]";
	jaswin.ALERT_VALUE_ALIGN = "The value of text align is not suitable.[{1}]";
	jaswin.ALERT_VALUE_COL_NUMBER = "The value of column number is not suitable.";
	jaswin.ALERT_VALUE_CONTENT_TYPE = "The value of content type header is not suitable.[{1}]";
	jaswin.ALERT_VALUE_DATE = "The value of date is not suitable.[{1}]";
	jaswin.ALERT_VALUE_DIGIT = "The value of digit is not suitable.[{1}]";
	jaswin.ALERT_VALUE_DROP_TYPE = "The value of drop type is not suitable.[{1}]";
	jaswin.ALERT_VALUE_GAUGE = "The value of gauge type is not suitable.";
	jaswin.ALERT_VALUE_GAUGE_UNIT = "The value of gauge unit is not suitable.[{1}]";
	jaswin.ALERT_VALUE_HEIGHT = "The value of height is not suitable.[{1}]";
	jaswin.ALERT_VALUE_IME_MODE = "The value of IME mode is not suitable.[{1}]";
	jaswin.ALERT_VALUE_INDEX = "The value of index is not suitable.[{1}]";
	jaswin.ALERT_VALUE_ITEM_TYPE = "The value of item type is not suitable.";
	jaswin.ALERT_VALUE_LONG_GAUGE = "The value of long gauge unit is not suitable.[{1}]";
	jaswin.ALERT_VALUE_METHOD = "The value of method is not suitable.[{1}]";
	jaswin.ALERT_VALUE_MIN_HEIGHT = "The value of minimum height is not suitable.[{1}]";
	jaswin.ALERT_VALUE_MIN_MAX = "The value of minimum and maximum point is not suitable.[{1}]";
	jaswin.ALERT_VALUE_MIN_WIDTH = "The value of minimum width is not suitable.[{1}]";
	jaswin.ALERT_VALUE_MONTH = "The value of month is not suitable.[{1}]";
	jaswin.ALERT_VALUE_OVERFLOW = "The value of overflow is not suitable.[{1}]";
	jaswin.ALERT_VALUE_PARENT_ELEMENT = "The value of parent element is not suitable.";
	jaswin.ALERT_VALUE_RESPONSE_TYPE = "The value of response type is not suitable.[{1}]";
	jaswin.ALERT_VALUE_SHORTCUT = "The value of shortcut is not suitable.[{1}]";
	jaswin.ALERT_VALUE_SHORT_GAUGE = "The value of short gauge unit is not suitable.[{1}]";
	jaswin.ALERT_VALUE_SORT_TYPE = "The value of sort type is not suitable.";
	jaswin.ALERT_VALUE_SPLIT = "The value of split type is not suitable.[{1}]";
	jaswin.ALERT_VALUE_STATUS = "The value of status is not suitable.[{1}]";
	jaswin.ALERT_VALUE_STYLE = "The value of style is not suitable.[{1}]";
	jaswin.ALERT_VALUE_TYPE = "The value of type is not suitable.[{1}]";
	jaswin.ALERT_VALUE_WIDTH = "The value of width is not suitable.[{1}]";
	jaswin.ALERT_WINDOW_ALLOCATION = "Window cannot be allocated here.[{1}]";
	jaswin.ALERT_XML_PARSER = "XML parser error.";
}(window.jaswin = window.jaswin || {}));
